Page MenuHomePhabricator

Build w_cache data in an intermediate file to allow reuse
Closed, ResolvedPublic

Description

Feature extraction is expensive, and sometimes we want to re-run training and data collection with only slight variations. In these cases, it's convenient that any existing w_cache file be supplied to extraction, and we can reuse most of the data.

I'm imagining something like,

aawiki.labeled.w_cache: aawiki.labeled
    revscoring extract --cache=$@ --input=$^ > .tmp.$@
    && mv .tmp.$@ $@

Event Timeline

awight created this task.Apr 4 2018, 9:20 PM
Restricted Application added a project: artificial-intelligence. · View Herald TranscriptApr 4 2018, 9:20 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Ladsgroup triaged this task as Lowest priority.Nov 26 2018, 7:17 PM
awight removed a subscriber: awight.Mar 21 2019, 4:03 PM
Halfak closed this task as Resolved.Mar 28 2019, 5:24 PM
Halfak reopened this task as Open.
Halfak closed this task as Resolved.